Ipod touch 2nd gen games on 1st gen?

Discussion in 'iPod touch' started by dark4512, Oct 19, 2009.

  1. dark4512

    dark4512 New Member

    Joined:
    Jul 15, 2008
    Messages:
    8
    Likes Received:
    0
    Device:
    iPod touch
    I bought Pocket Devil but didnt see that its only for 2nd generation is there any way i can play it on a first gen?
  2. sjleworthy

    sjleworthy New Member

    Joined:
    Jan 4, 2008
    Messages:
    780
    Likes Received:
    0
    Device:
    iPad w/ 3G
    i'm also confused. why would certain 2nd gen games not work on a 1st gen? what's the crack? i always thought it was 3.x apps that were different, but apparently not.
  3. freemini

    freemini Active Member

    Joined:
    Sep 11, 2008
    Messages:
    1,656
    Likes Received:
    2
    Device:
    iPhone 5 (Black)
    Maybe they require mic? There are no games that require 2nd gen only. Only 3GS and 3G ipod touch. I think there are SOME but I highly doubt it.
  4. sjleworthy

    sjleworthy New Member

    Joined:
    Jan 4, 2008
    Messages:
    780
    Likes Received:
    0
    Device:
    iPad w/ 3G
    yes, there are a couple i've just come across that require a 2nd gen upwards.
  5. dark4512

    dark4512 New Member

    Joined:
    Jul 15, 2008
    Messages:
    8
    Likes Received:
    0
    Device:
    iPod touch
    It said it requires a mic is there anyway around that?

Share This Page